Subject: bug#10325: closed (Re: bug#10325: 24.0.92; copy-file: using a not existing source file and ftp (tramp))

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 23 Dec 2011 14:37:02 +0000

Your bug report

#10325: 24.0.92; copy-file: using a not existing source file and ftp (tramp)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10325: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10325
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10325: 24.0.92; copy-file: using a not existing source file and ftp (tramp)
From: Michael Albinus <[email-masked]>
To: Stefan Reichör <[email-masked]>
Cc: [email-masked]
Date: Fri, 23 Dec 2011 15:34:17 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Reichör <[email-masked]> writes:

> Hi!

Hi,

> However, when copying a not existent file to a ftp server hangs the
> copy operation:

I've fixed it in the trunk.

> Stefan.

Best regards, Michael.

Subject: 24.0.92; copy-file: using a not existing source file and ftp (tramp)
From: Stefan Reichör <[email-masked]>
To: [email-masked]
Date: Mon, 19 Dec 2011 11:24:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

Copying a not existing file locally correctly raises a file-error:

(copy-file "/home/hz/ju" "~/")

Debugger entered--Lisp error: (file-error "Opening input file" "no such file or directory" "/home/hz/ju")
  copy-file("/home/hz/ju" "~/")
  eval((copy-file "/home/hz/ju" "~/") nil)
  eval-last-sexp-1(nil)
  eval-last-sexp(nil)
  call-interactively(eval-last-sexp nil nil)

However, when copying a not existent file to a ftp server hangs the copy operation:

(copy-file "/home/hz/ju" "/ftp:[email-masked]:/dest-path/")

I see the following in the message area:

Copying /home/hz/ju to /ftp:[email-masked]:/dest-path/...

I need to interrupt the operation using C-g.

Stefan.